@echo off
TinyID.exe
if errorlevel 2 goto error
if errorlevel 1 goto message
if errorlevel 0 goto flashBIOS
:message
echo *** Your Embedded Controller Firmware is being updated.*** 
echo *** The BIOS update will continue after the firmware update completes.***
echo *** Please do not turn the system off while the updates are in progress***
SPI042 FBCT32A.bin /V 29A

:flashBIOS
@echo off
IsXXA.exe 97
if errorlevel 1 goto H97A
afudos.exe  imagefb.rom /p /n /r /sp /bb /reboot
@echo off
goto FLH_END

:H97A
flash2.exe imagefb.rom /bb /rsmb

:FLH_END

rem flash2.exe imagefb.rom /bb /rsmb
echo ***These changes will not take effect until the system is restarted.***
goto end
rem for Win8 bios, because need to update BB, so need to add some parameters
rem flash2 IMAGEFB.ROM /bb /rsmb 
rem


:error
@echo off
echo ***This BIOS can't be applied to this system.***

:end
